curl --request GET \
--url https://api.affinity.co/v2/reminders/{reminderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/reminders/{reminderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/reminders/{reminderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"content": "Follow up about the funding round",
"dueDate": "2026-06-01T17:00:00Z",
"creator": {
"id": 1
},
"owner": {
"id": 1
},
"completer": {
"id": 1
},
"company": {
"id": 1
},
"person": {
"id": 1
},
"opportunity": {
"id": 1
},
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-01T00:00:00Z",
"type": "one-time",
"status": "active",
"completedAt": "2023-01-01T00:00:00Z",
"recurrence": null
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Get a single Reminder
| ⚠️ This endpoint is currently in BETA |
|---|
Returns a single Reminder. Responds with 404 when the reminder does not exist or is not visible to the caller.
Authorizations
A static Affinity API key, presented as a bearer token.
Path Parameters
Reminder ID
1 <= x <= 9007199254740991Response
OK
- reminders.OneTimeReminder
- reminders.RecurringReminder
A reminder that fires once on dueDate.
The reminder's unique identifier
1 <= x <= 90071992547409911
Free-form text attached to the reminder.
"Follow up about the funding round"
When the reminder is next due.
"2026-06-01T17:00:00Z"
The person who created the reminder.
Show child attributes
Show child attributes
The person responsible for acting on the reminder.
Show child attributes
Show child attributes
The person who completed the reminder. null when the reminder is not completed. May be set on a recurring reminder even when completedAt is null.
Show child attributes
Show child attributes
The tagged company. At most one of company, person, or opportunity is non-null on any given reminder.
Show child attributes
Show child attributes
The tagged person. At most one of company, person, or opportunity is non-null on any given reminder.
Show child attributes
Show child attributes
The tagged opportunity. At most one of company, person, or opportunity is non-null on any given reminder.
Show child attributes
Show child attributes
When the reminder was created.
"2023-01-01T00:00:00Z"
When the reminder was last updated. null if the reminder has never been updated.
"2023-01-01T00:00:00Z"
Discriminator. Always one-time for this variant.
"one-time""one-time"
Derived state. active if not completed and due in the future. overdue if not completed and due in the past. completed if completedAt is set.
active, overdue, completed "active"
When the reminder was completed. null if the reminder is not yet completed.
"2023-01-01T00:00:00Z"
Always null for one-time reminders.
Was this page helpful?